journal_start
Prev | Transasction Level | Next

## Name

journal_start — Obtain a new handle.

## Synopsis

`handle_t * journal_start (` | journal_t * | journal,
| int | nblocks`)`;

## Arguments

`journal`

  Journal to start transaction on.

`nblocks`

  number of block buffer we might modify

## Description

We make sure that the transaction can guarantee at least nblocks of modified buffers in the log. We block until the log can guarantee that much space.

This function is visible to journal users (like ext3fs), so is not called with the journal already locked.

Return a pointer to a newly allocated handle, or NULL on failure

Prev | Up | Next
journal_skip_recovery | Home | journal_extend